Bug 282521 - Review Request: dblatex - DocBook to LaTeX/ConTeXt Publishing
Review Request: dblatex - DocBook to LaTeX/ConTeXt Publishing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-07 11:27 EDT by Neal Becker
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 13:15:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
modifed spec patch to solve rpmlint messages (2.35 KB, patch)
2007-09-24 01:26 EDT, Parag AN(पराग)
no flags Details | Diff
patch to use the system python-which (444 bytes, patch)
2007-10-27 07:08 EDT, Patrice Dumas
no flags Details | Diff
spec file patch implementing my remarks, use %docs no unneeded iconv (1.53 KB, patch)
2007-11-03 05:31 EDT, Patrice Dumas
no flags Details | Diff
add copyright files in %doc (1004 bytes, patch)
2007-11-11 20:20 EST, Patrice Dumas
no flags Details | Diff

  None (edit)
Description Neal Becker 2007-09-07 11:27:45 EDT
Spec URL: https://nbecker.dyndns.org/RPM/dblatex.spec
SRPM URL: https://nbecker.dyndns.org/RPM/dblatex-0.2.7-1.fc7.src.rpm
Description: dblatex is a program that transforms your SGML/XMLDocBook
documents to DVI, PostScript or PDF by translating them
into pure LaTeX as a first process.  MathML 2.0 markups
are supported, too. It started as a clone of DB2LaTeX.

Authors:
--------
   Benoît Guillon <marsgui@users.sourceforge.net>
   Andreas Hoenen <andreas.hoenen@arcor.de>
Comment 1 Parag AN(पराग) 2007-09-19 03:10:53 EDT
mock build gave me
+ /usr/bin/python setup.py install --root
/var/tmp/dblatex-0.2.7-1.fc8-root-mockbuild
running install
error: invalid Python installation: unable to open
/usr/lib/python2.5/config/Makefile (No such file or directory)
error: Bad exit status from /var/tmp/rpm-tmp.7874 (%install)

Comment 2 Neal Becker 2007-09-19 18:32:06 EDT
Added BR python-devel.

Please try:

 https://nbecker.dyndns.org/RPM/dblatex.spec
 https://nbecker.dyndns.org/RPM/dblatex-0.2.7-2.fc7.src.rpm
Comment 3 Patrice Dumas 2007-09-19 18:50:13 EDT
I did a package for a previous version, it can be found on
http://www.environnement.ens.fr/perso/dumas/fc-srpms/debian/dblatex-0.2.5-1.fc8.src.rpm

This conflicts with tetex-tex4ht (I maintain), I'll try to fix 
that.
Comment 4 Patrice Dumas 2007-09-19 18:51:19 EDT
I also packaged 
http://www.environnement.ens.fr/perso/dumas/fc-srpms/debian/python-which-1.1.0-1.fc8.src.rpm

in relation with dblatex, but I don't remember why.
Comment 5 Parag AN(पराग) 2007-09-19 22:58:05 EDT
(In reply to comment #2)
> Added BR python-devel.
> 
> Please try:
> 
>  https://nbecker.dyndns.org/RPM/dblatex.spec
>  https://nbecker.dyndns.org/RPM/dblatex-0.2.7-2.fc7.src.rpm

This in mock build gave me
+ /usr/bin/python setup.py install --root
/var/tmp/dblatex-0.2.7-2.fc8-root-mockbuild
running install
Error: XSLT not installed: xsltproc
+checking XSLT xsltproc... no (missing xsltproc)
error: Bad exit status from /var/tmp/rpm-tmp.78410 (%install)


Comment 6 Neal Becker 2007-09-20 07:25:53 EDT
This one passes mock and rpmlint:
https://nbecker.dyndns.org/RPM/dblatex.spec
 https://nbecker.dyndns.org/RPM/dblatex-0.2.7-5.fc7.src.rpm
Comment 7 Parag AN(पराग) 2007-09-20 07:40:16 EDT
rpmlint on SRPM gave me
dblatex.src: W: mixed-use-of-spaces-and-tabs (spaces: line 26, tab: line 4)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

rpmlint on binary rpm gave me
dblatex.noarch: E: explicit-lib-dependency libxslt
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.
Comment 8 Parag AN(पराग) 2007-09-20 07:43:54 EDT
taking this for review.
remove unneeded requires libxslt
Comment 9 Neal Becker 2007-09-20 07:57:45 EDT
 rpm -qf /usr/bin/xsltproc 
libxslt-1.1.21-1.fc7

I'm afraid AFAICT, libxslt IS needed, and it's not really a lib!
Comment 10 Parag AN(पराग) 2007-09-20 10:52:33 EDT
(In reply to comment #9)
>  rpm -qf /usr/bin/xsltproc 
> libxslt-1.1.21-1.fc7
> 
> I'm afraid AFAICT, libxslt IS needed, and it's not really a lib!

I asked to change 
Requires:	tetex libxslt docbook-dtds python
to
Requires:	tetex docbook-dtds python

Above change worked successfully and even rpmlint is not complaining. 
Comment 11 Patrice Dumas 2007-09-20 10:59:19 EDT
I agree with Neal, xsltproc from libxslt is needed, the rpmlint
warning shouldn't be taken into account.
Comment 12 José Matos 2007-09-20 11:06:39 EDT
I would thrice this. :-)

rpmlint is being silly here. The rule is simple if the package name has lib in 
it is assumed to be a library. Here the rule fails.
Comment 13 Parag AN(पराग) 2007-09-20 23:25:48 EDT
Ok. I got it now. I misunderstood usage of libxslt in Requires.
Regarding rpmlint messages, I know they are bit silly in some cases.
Comment 14 Parag AN(पराग) 2007-09-20 23:48:24 EDT
1) Can you change source URL to 
http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

2) also clean srpm rpmlint message using
   sed -i -e 's|\t|  |g' dblatex.spec

will review then
Comment 15 Parag AN(पराग) 2007-09-21 00:43:32 EDT
Additionally,
1)License text suggests you can use GPLv2+. Do you want to change to that?
2)Suggest to add doc directory as %doc
3)Do you need following line in SPEC
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from
distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
 I see nothing got installed under %{python_sitearch}
Comment 16 Neal Becker 2007-09-21 06:51:11 EDT
Fixed all above, except for #3, which seems trivial

https://nbecker.dyndns.org/RPM/dblatex.spec
 https://nbecker.dyndns.org/RPM/dblatex-0.2.7-6.fc7.src.rpm
Comment 17 Parag AN(पराग) 2007-09-21 07:21:56 EDT
1)sorry please revert back License to GPLv2 only.

2) now rpmlint complained me
dblatex.src: W: mixed-use-of-spaces-and-tabs (spaces: line 26, tab: line 4)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.
==>    sed -i -e 's|\t|  |g' dblatex.spec

dblatex.noarch: W: file-not-utf8 /usr/share/doc/dblatex/docs/tables/table-eg4.2.xml
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

dblatex.noarch: W: file-not-utf8 /usr/share/doc/dblatex/docs/manual.xml
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

dblatex.noarch: W: file-not-utf8 /usr/share/doc/dblatex/docs/tables/table-eg4.1.xml
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

dblatex.noarch: W: file-not-utf8 /usr/share/doc/dblatex/docs/tables/table-eg4.0.xml
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

dblatex.noarch: W: file-not-utf8 /usr/share/doc/dblatex/docs/mystyle.sty
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

dblatex.noarch: W: file-not-utf8 /usr/share/doc/dblatex/docs/tables/table-eg4.3.xml
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

dblatex.noarch: W: file-not-utf8 /usr/share/doc/dblatex/docs/tables/table-eg4.4.xml
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

==> Can use iconv on them. Also check
https://www.redhat.com/archives/fedora-devel-list/2007-September/msg01086.html

dblatex.noarch: E: explicit-lib-dependency libxslt
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.
===> Ok to ignore.

Comment 18 Neal Becker 2007-09-21 07:36:05 EDT
I'm not familiar with iconv.  What do I need to do exactly?
Comment 19 Patrice Dumas 2007-09-21 07:46:45 EDT
The conflict with tetex-tex4ht should be fixed in devel. For 
previous versions I don't want to make changes, you should add a 
conflict.



The package installs passivetex and some sty, this shouldn't be:

/usr/share/dblatex/latex/misc/attachfile.sty
/usr/share/dblatex/latex/misc/bibtopic.sty
/usr/share/dblatex/latex/misc/enumitem.sty
/usr/share/dblatex/latex/misc/multirow2.sty
/usr/share/dblatex/latex/misc/passivetex
/usr/share/dblatex/latex/misc/passivetex/LICENSE
/usr/share/dblatex/latex/misc/passivetex/dummyels.sty
/usr/share/dblatex/latex/misc/passivetex/unicode.sty
/usr/share/dblatex/latex/misc/ragged2e.sty

attachfile.sty is not in tetex, and therefore should be packaged.
Maybe it is in texlive, in that case, it could be acceptable
to ship the one in dblatex (but in texmf) waiting for this style 
file to enter fedora through texlive.

In my spec I did:
# these are already in tetex-latex:
for file in bibtopic.sty enumitem.sty ragged2e.sty passivetex/; do
  rm -rf $RPM_BUILD_ROOT%{_datadir}/dblatex/latex/misc/$file
done


The tex files (especially the .sty) should be below 
/usr/share/texmf instead of in /usr/share/dblatex/.

The xsl stylesheets should also be in xsl stylesheet directories.
I used
%{_datadir}/sgml/docbook/xsl-stylesheets/dblatex/
It is not that obvious since it seems that dblatex uses xsl files
for other purposes than xsltproc call, to retrieve the version.
However in the debian package the xsl files are in xsl directory
and I can't see any obvious patching.

It would be better not to use the included which, but system 
python-which. In my srpm there is a very simple patch to use system
which instead of the one from contrib.

You can apply the debian patch it only creates things below a debian
directory, but I haven't found many interesting things in.
Comment 20 Parag AN(पराग) 2007-09-24 01:26:27 EDT
Created attachment 203721 [details]
modifed spec patch to solve rpmlint messages

Use this patch to solve issues raised in comment #17
You may also like to see issues raised in comment #19
Comment 21 Parag AN(पराग) 2007-10-15 07:04:45 EDT
ping?
Comment 22 Neal Becker 2007-10-15 13:25:41 EDT
>> The tex files (especially the .sty) should be below 
>> /usr/share/texmf instead of in /usr/share/dblatex

I'm not sure about this one.  Is this a fedora requirement?
Comment 23 Patrice Dumas 2007-10-15 15:28:17 EDT
(In reply to comment #22)
> >> The tex files (especially the .sty) should be below 
> >> /usr/share/texmf instead of in /usr/share/dblatex
> 
> I'm not sure about this one.  Is this a fedora requirement?

No, but it is necessary for proper integration to have .sty
located where they can be found by the usual mechanisms.
Comment 24 Neal Becker 2007-10-15 16:04:31 EDT
Please see:
https://nbecker.dyndns.org/RPM/dblatex-0.2.7-9.fc7.src.rpm
https://nbecker.dyndns.org/RPM/dblatex.spec

I think I addressed all the above, except for the thing about 'which'.
Comment 25 Patrice Dumas 2007-10-24 19:18:09 EDT
You should link 
/usr/share/dblatex/xsl
to
/usr/share/sgml/docbook/xsl-stylesheets/dblatex
otherwise nothing works.

Maybe you could obfuscate the email adresses in the 
description, or even remove them and leave only the
names.

To keep the timestamps while doing the required iconv 
magic, you could do

iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; touch -r $f $f.utf8 ; mv $f.utf8 $f

I suggest avoid bashisms, and therefore using
mv $file $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/dblatex/`basename $file`;

Also protecting end of lines is not needed, instead proper
indentation should help readability.

You don't need the python_sitearch definition.

relevant rpmlint warning
dblatex.src:78: W: macro-in-%changelog _datadir
dblatex.src:80: W: macro-in-%changelog _datadir

The conditional should certainly be
%if 0%{?fedora} < 8

man page is automatically flaged as %doc.

You should certainly own
/etc/dblatex

There are too much in the doc directory, and it is better
to put the files in %doc directly. In my opinion there should
only be

%doc docs/manual.pdf

You should certainly remove the empty directories
/usr/share/dblatex/latex/misc
/usr/share/dblatex/latex/specs
/usr/share/dblatex/latex/style

You need to run texhash post scripts.

COPYRIGHT should be in %doc

Suggestions:

use
%{_mandir}/man1/dblatex.1*
to catch all possible compression, and no compression.

In the .specs file, now that the .sty are in the normal locations,
you can certainly comment out the TexInputs: definition.

Comment 26 Patrice Dumas 2007-10-24 19:18:59 EDT
(In reply to comment #24)
> Please see:
> https://nbecker.dyndns.org/RPM/dblatex-0.2.7-9.fc7.src.rpm
> https://nbecker.dyndns.org/RPM/dblatex.spec
> 
> I think I addressed all the above, except for the thing about 'which'.

Because you don't want to fix it or for another reason?
Comment 27 Neal Becker 2007-10-24 20:57:15 EDT
(In reply to comment #26)
> (In reply to comment #24)
> > Please see:
> > https://nbecker.dyndns.org/RPM/dblatex-0.2.7-9.fc7.src.rpm
> > https://nbecker.dyndns.org/RPM/dblatex.spec
> > 
> > I think I addressed all the above, except for the thing about 'which'.
> 
> Because you don't want to fix it or for another reason?

Because I haven't had time to figure out what this is about.  Do you have a 
suggested patch?
Comment 28 Parag AN(पराग) 2007-10-26 07:57:38 EDT
Patrice,
   If you are interested to review feel free to ask me. I will leave review as I
already have other reviews assigned to me so I may take more time to review this.
Comment 29 Patrice Dumas 2007-10-27 06:35:07 EDT
(In reply to comment #28)
> Patrice,
>    If you are interested to review feel free to ask me. I will leave review as I
> already have other reviews assigned to me so I may take more time to review this.

I'll do the review.
Comment 30 Patrice Dumas 2007-10-27 07:08:05 EDT
Created attachment 240251 [details]
patch to use the system python-which
Comment 31 Patrice Dumas 2007-10-27 07:16:03 EDT
Additionally, python-which should be packaged. I did some packaging
in the past, you could use the example:
http://www.environnement.ens.fr/perso/dumas/fc-srpms/debian/python-which-1.1.0-1.fc8.src.rpm

The previous patch can be complemented with

Patch0:         dblatex-0.2.5-external-which.patch

.....

%patch0 -p1 -b .external-which
rm -rf lib/contrib
Comment 32 Patrice Dumas 2007-10-27 07:17:13 EDT
It looks like, for fig2dev, there is a missing
Requires: transfig
Comment 33 Patrice Dumas 2007-10-27 07:19:20 EDT
And, for convert: 
Requires: ImageMagick
Comment 34 Neal Becker 2007-10-27 08:25:14 EDT
(In reply to comment #31)
> Additionally, python-which should be packaged. I did some packaging
> in the past, you could use the example:
> 
http://www.environnement.ens.fr/perso/dumas/fc-srpms/debian/python-which-1.1.0-1.fc8.src.rpm
> 
> The previous patch can be complemented with
> 
> Patch0:         dblatex-0.2.5-external-which.patch
> 
> .....
> 
> %patch0 -p1 -b .external-which
> rm -rf lib/contrib

IIUC, your suggestion is
1) Create a python-which package (separate from dblatex)
2) dblatex requires python-which
Is this correct?
Comment 35 Patrice Dumas 2007-10-27 08:32:58 EDT
(In reply to comment #34)

> IIUC, your suggestion is
> 1) Create a python-which package (separate from dblatex)

Yes.

> 2) dblatex requires python-which
> Is this correct?

BuildRequires: python-which

It is not needed at runtime.
Comment 36 Neal Becker 2007-10-27 09:19:15 EDT
(In reply to comment #25)

> You should certainly remove the empty directories
> /usr/share/dblatex/latex/misc
> /usr/share/dblatex/latex/specs
> /usr/share/dblatex/latex/style
> 
I don't understand - they're not empty.
For example:
 /var/tmp/rpm/dblatex-0.2.7-9.fc8-root-nbecker/usr/share/dblatex/latex/specs:
  total 20
  drwxr-xr-x 2 nbecker nbecker 4096 2007-10-27 09:14 .
  drwxr-xr-x 6 nbecker nbecker 4096 2007-10-27 09:14 ..
  -rw-r--r-- 1 nbecker nbecker  136 2006-09-28 18:51 db2latex.specs
  -rw-r--r-- 1 nbecker nbecker   88 2005-08-10 16:44 native.specs
  -rw-r--r-- 1 nbecker nbecker   89 2005-08-10 16:44 simple.specs
Comment 37 Patrice Dumas 2007-10-27 16:11:37 EDT
This was a mistake. But 
/usr/share/dblatex/latex/misc
/usr/share/dblatex/latex/contrib/example
/usr/share/dblatex/latex/style
 are empty.
Comment 38 Neal Becker 2007-11-01 21:36:43 EDT
(In reply to comment #37)
> This was a mistake. But 
> /usr/share/dblatex/latex/misc
> /usr/share/dblatex/latex/contrib/example
> /usr/share/dblatex/latex/style
>  are empty.

Please check:
https://nbecker.dyndns.org/RPM/dblatex.spec
https://nbecker.dyndns.org/RPM/dblatex-0.2.7-10.fc8.src.rpm

I think I have addressed all the issues.

I have not tested in mock yet (need to setup)
Comment 39 Patrice Dumas 2007-11-02 05:02:20 EDT
The iconv calls are wrong, the encoding of the xml files in
latin1. I guess that it is the same for the .sty.
(Moreover those files should not have been shipped in the
first place).

It is better to have a relative link than an absolute one,
when it is easy to do so, as it is the case here:

ln -s ../../sgml/docbook/xsl-stylesheets/dblatex
$RPM_BUILD_ROOT%{_datadir}/dblatex/xsl

For the docs, why don't you install anything and simply have
%docs COPYRIGHT docs/manual.pdf

In the manual, it is said:
/etc/dblatex/
    System-wide configuration directory.
that's why I think it is better to own
%dir %{_sysconfdir}/dblatex


Suggestions:
To catch all kind of compression and no compression, replace
%{_mandir}/man1/dblatex.1.gz with
%{_mandir}/man1/dblatex.1*

The BuildRequires python is redundant with python-devel.
The Requires python is autodetected (and versioned automatically),
so it is not needed, at least on recent fedora.

there is a tab and space rpmlint warning that you can ignore, or not:
dblatex.src: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 12)
Comment 40 Patrice Dumas 2007-11-02 05:13:33 EDT
(In reply to comment #39)

> ln -s ../../sgml/docbook/xsl-stylesheets/dblatex
> $RPM_BUILD_ROOT%{_datadir}/dblatex/xsl

Not exactly... The link was wrong, and you can do either

rmdir $RPM_BUILD_ROOT%{_datadir}/dblatex/xsl/
ln -s ../sgml/docbook/xsl-stylesheets/dblatex $RPM_BUILD_ROOT%{_datadir}/dblatex/xsl


or change the mkdir and mv first
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/xsl-stylesheets/
mv $RPM_BUILD_ROOT%{_datadir}/dblatex/xsl/
$RPM_BUILD_ROOT%{_datadir}/sgml/docbook/xsl-stylesheets/dblatex
ln -s ../sgml/docbook/xsl-stylesheets/dblatex $RPM_BUILD_ROOT%{_datadir}/dblatex/xsl
Comment 41 Neal Becker 2007-11-02 20:40:00 EDT
(In reply to comment #39)
> The iconv calls are wrong, the encoding of the xml files in
> latin1. I guess that it is the same for the .sty.
> (Moreover those files should not have been shipped in the
> first place).

I'm sorry, I don't understand what you're asking me to do here.

> It is better to have a relative link than an absolute one,
> when it is easy to do so, as it is the case here:
> 
> ln -s ../../sgml/docbook/xsl-stylesheets/dblatex
> $RPM_BUILD_ROOT%{_datadir}/dblatex/xsl

Done.

> 
> For the docs, why don't you install anything and simply have
> %docs COPYRIGHT docs/manual.pdf

Sorry, I don't understand. 

> In the manual, it is said:
> /etc/dblatex/
>     System-wide configuration directory.
> that's why I think it is better to own
> %dir %{_sysconfdir}/dblatex

Done.

> 
> Suggestions:
> To catch all kind of compression and no compression, replace
> %{_mandir}/man1/dblatex.1.gz with
> %{_mandir}/man1/dblatex.1*

Done.

> The BuildRequires python is redundant with python-devel.
> The Requires python is autodetected (and versioned automatically),
> so it is not needed, at least on recent fedora.

OK.

> there is a tab and space rpmlint warning that you can ignore, or not:
> dblatex.src: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 12)
> 

OK, Please see:
https://nbecker.dyndns.org/RPM/dblatex-0.2.7-11.fc8.src.rpm
https://nbecker.dyndns.org/RPM/dblatex.spec
Comment 42 Patrice Dumas 2007-11-03 05:31:14 EDT
Created attachment 247251 [details]
spec file patch implementing my remarks, use %docs no unneeded iconv
Comment 43 Patrice Dumas 2007-11-03 05:34:32 EDT
(In reply to comment #41)
> (In reply to comment #39)
> > The iconv calls are wrong, the encoding of the xml files in
> > latin1. I guess that it is the same for the .sty.
> > (Moreover those files should not have been shipped in the
> > first place).
> 
> I'm sorry, I don't understand what you're asking me to do here.

manual.xml begins with:
<?xml version="1.0" encoding="ISO-8859-1"?>

So it is encoded in latin1 (ISO-8859-1), it shouldn't be converted to 
utf8. The tools will do the correct conversion automatically, if 
converted to utf8 the non 8bit characters will be messed up.
Comment 44 Neal Becker 2007-11-03 23:25:29 EDT
(In reply to comment #43)
> (In reply to comment #41)
> > (In reply to comment #39)
> > > The iconv calls are wrong, the encoding of the xml files in
> > > latin1. I guess that it is the same for the .sty.
> > > (Moreover those files should not have been shipped in the
> > > first place).
> > 
> > I'm sorry, I don't understand what you're asking me to do here.
> 
> manual.xml begins with:
> <?xml version="1.0" encoding="ISO-8859-1"?>
> 
> So it is encoded in latin1 (ISO-8859-1), it shouldn't be converted to 
> utf8. The tools will do the correct conversion automatically, if 
> converted to utf8 the non 8bit characters will be messed up.

OK, updates here:
https://nbecker.dyndns.org/RPM/dblatex-0.2.7-12.fc8.src.rpm
https://nbecker.dyndns.org/RPM/dblatex.spec
Comment 45 Patrice Dumas 2007-11-04 04:07:08 EST
The link is not correctly done. It may not appear easily, since
there may be old links lying around (that's what I experienced).
See also Comment #40.
Comment 46 Neal Becker 2007-11-04 08:50:30 EST
(In reply to comment #45)
> The link is not correctly done. It may not appear easily, since
> there may be old links lying around (that's what I experienced).
> See also Comment #40.

OK, I copied from Comment #40.  Also added texhash.

https://nbecker.dyndns.org/RPM/dblatex-0.2.7-13.fc8.src.rpm
https://nbecker.dyndns.org/RPM/dblatex.spec
Comment 47 Patrice Dumas 2007-11-05 03:41:50 EST
There are missing Requires(post,...) for texhash. Since 
the %post and %postun are 
dblatex.noarch: W: one-line-command-in-%post texhash
dblatex.noarch: W: one-line-command-in-%postun texhash
you can also do something along the following, to have the 
dependency automatically added:

%post -p /usr/bin/texhash


rpmlint also says (may be ignored):
dblatex.src: W: mixed-use-of-spaces-and-tabs (spaces: line 30, tab: line 3)
Comment 48 Neal Becker 2007-11-05 06:47:57 EST
(In reply to comment #47)
> There are missing Requires(post,...) for texhash. Since 
> the %post and %postun are 
> dblatex.noarch: W: one-line-command-in-%post texhash
> dblatex.noarch: W: one-line-command-in-%postun texhash
> you can also do something along the following, to have the 
> dependency automatically added:
> 
> %post -p /usr/bin/texhash
> 
> 
> rpmlint also says (may be ignored):
> dblatex.src: W: mixed-use-of-spaces-and-tabs (spaces: line 30, tab: line 3)
> 

Fixed in:
https://nbecker.dyndns.org/RPM/dblatex-0.2.7-14.fc8.src.rpm
https://nbecker.dyndns.org/RPM/dblatex.spec
Comment 49 Patrice Dumas 2007-11-05 07:38:54 EST
Hopefully we are almost done, but there are still 2 issues.

First one is a license issue, indeed, some parts come from docbook-xsl, 
and the license file is missing. I suggest using
http://docbook.sourceforge.net/release/xsl/current/COPYING
under a different name.

Second one is that xsl/mathml2 is in fact derived from
http://sourceforge.net/projects/xsltml/
Similarily, the license file is missing. I suggest using the
README from the latest xsltml release, which is already in xsl/mathml2,
renamed appropriately. 

I have checked that the differences are
only in entities.xsl, upstream should certainly be contacted
such that this is fixed and both versions converge. There are
also additional files in dblatex, namely mathml.xsl and 
mapmmlent.xml (which seems to be autogenerated, and it would 
be better if func2map that generated it was shipped). Then 
xsltml should be packaged on its own.
Comment 50 Patrice Dumas 2007-11-05 07:40:54 EST
Also this package seems to me to be GPLv2+, since some 
files are under the MIT, one under GPL+, other have no 
license and (they are GPL+, then, unless I am wrong), 
and some come from pdftex which seems to be GPLv2+.
Comment 51 Alex Lancaster 2007-11-11 18:10:54 EST
Is this package being formally reviewed?  The fedora-review flag is not set yet.
Comment 52 Alex Lancaster 2007-11-11 20:04:06 EST
Comment #29 suggests that the Patrice did intend to take the review, setting the
fedora-review flag accordingly.
Comment 53 Patrice Dumas 2007-11-11 20:20:44 EST
Created attachment 254861 [details]
add copyright files in %doc
Comment 54 Neal Becker 2007-11-12 06:13:20 EST
copyright files added.

rpmlint says:
dblatex.noarch: E: tag-not-utf8 %description

Not sure what to do about this.  Mis-spell the guy's name?

https://nbecker.dyndns.org/RPM/dblatex-0.2.7-15.fc8.src.rpm
https://nbecker.dyndns.org/RPM/dblatex.spec

Should I change license to gplv2+?
Comment 55 Patrice Dumas 2007-11-12 06:32:23 EST
I think that in Benoît Guillon the î is encoded in latin1.
You can use iconv to convert the spec file to utf8.

Otherwise, you should indeed change the licens to GPLv2+, but 
only if you agree with my analysis of the license.
Comment 56 Neal Becker 2007-11-12 06:45:58 EST
OK, both changed.

I don't have the resources to evaluate the license issue - I will just accept 
your recommendation.

https://nbecker.dyndns.org/RPM/dblatex.spec
https://nbecker.dyndns.org/RPM/dblatex-0.2.7-16.fc8.src.rpm
Comment 57 Patrice Dumas 2007-11-12 07:00:43 EST
* rpmlint says (ignorable)
dblatex.noarch: E: explicit-lib-dependency libxslt
dblatex.src: W: mixed-use-of-spaces-and-tabs (spaces: line 12, tab: line 3)
* follow naming and packaging guidelines
* free software, licenses included
* %files section right
* works fine in devel
* sane provides and requires
* source match upstream
f59bc018bc7f5c159a5c726ae66abbfc  dblatex-0.2.7.tar.bz2


APPROVED
Comment 58 Neal Becker 2007-11-13 11:37:01 EST
New Package CVS Request
=======================
Package Name: dblatex
Short Description: Transforms DocBook to dvi, ps, or pdf
Owners: nbecker
Branches: F-8
InitialCC: pertusus
Cvsextras Commits: yes
Comment 59 Kevin Fenzi 2007-11-13 12:06:38 EST
cvs done.
Comment 60 Alex Lancaster 2007-11-14 01:10:50 EST
(In reply to comment #58)
> New Package CVS Request
> =======================
> Package Name: dblatex
> Short Description: Transforms DocBook to dvi, ps, or pdf
> Owners: nbecker
> Branches: F-8
> InitialCC: pertusus
> Cvsextras Commits: yes

Hi Neal, is there any technical reason preventing a branch on F-7?  Normally
packages should be maintained on all active distributions if technically
possible and don't require tortuous compat packages.  I note that this would
also require an F-7 branch for python-which (bug #355171) as it is a
BuildRequires.  If you aren't interested in maintaining an F-7 branch, I'd be
willing to maintain F-7 branches for both packages.
Comment 61 Patrice Dumas 2007-11-14 03:24:25 EST
I also would like to have it in EL-5, I am ready to be comaintainer
for EPEL if needed (and also for python-which).
Comment 62 Neal Becker 2007-11-15 08:02:53 EST
Package Change Request
======================
Package Name: foobar
New Branches: F-7 EL-5
Comment 63 Kevin Fenzi 2007-11-15 12:10:49 EST
I assume you mean dblatex for the package here and not really "foobar"?

cvs done.
Comment 64 Patrice Dumas 2007-11-17 10:01:51 EST
Neal, could you please approve all my packagedb requests
for dblatex and python-which?
Comment 65 Neal Becker 2007-11-17 16:49:11 EST
(In reply to comment #64)
> Neal, could you please approve all my packagedb requests
> for dblatex and python-which?

I'm sorry, I'm not sure what you're asking me to do.  What are 'packagedb 
requests'?
Comment 66 Alex Lancaster 2007-11-17 17:16:36 EST
(In reply to comment #65)
> (In reply to comment #64)
> > Neal, could you please approve all my packagedb requests
> > for dblatex and python-which?
> 
> I'm sorry, I'm not sure what you're asking me to do.  What are 'packagedb 
> requests'?

PackageDB:

https://admin.fedoraproject.org/pkgdb/

is the way you approve co-maintainers, or orphan a package (it replaces the old
owners.list method), you login with your FAS and approve requests e.g.:

https://admin.fedoraproject.org/pkgdb/packages/name/dblatex
https://admin.fedoraproject.org/pkgdb/packages/name/python-which
Comment 67 Patrice Dumas 2007-11-17 18:35:51 EST
Thanks.

The packagedb needs to be better documented. There isn't even
a link to a wiki page for the packagedb from the main page.

Note You need to log in before you can comment on or make changes to this bug.